<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ContaminatedArea_Dynamic Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/db0/class_contaminated_area___dynamic.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ContaminatedArea_Dynamic Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ContaminatedArea_Dynamic:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d5/db0/class_contaminated_area___dynamic.png" usemap="#ContaminatedArea_5FDynamic_map" alt=""/>
  <map id="ContaminatedArea_5FDynamic_map" name="ContaminatedArea_5FDynamic_map">
<area href="../../d5/d44/class_effect_area.html" alt="EffectArea" shape="rect" coords="0,0,172,24"/>
<area href="../../dc/d57/class_contaminated_area___local.html" alt="ContaminatedArea_Local" shape="rect" coords="0,112,172,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a55d9084ec2690b949939d1b5454193ac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a55d9084ec2690b949939d1b5454193ac">ContaminatedArea_Dynamic</a> ()</td></tr>
<tr class="separator:a55d9084ec2690b949939d1b5454193ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb60d3a66a64cc9f93af0db895519dbb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#aeb60d3a66a64cc9f93af0db895519dbb">EEOnCECreate</a> ()</td></tr>
<tr class="separator:aeb60d3a66a64cc9f93af0db895519dbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a779a99db1ea5cab476c577f16a7fccdd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a779a99db1ea5cab476c577f16a7fccdd">GetRemainingTime</a> ()</td></tr>
<tr class="separator:a779a99db1ea5cab476c577f16a7fccdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a469a68f360a8dd85bacc81acb115c960"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a469a68f360a8dd85bacc81acb115c960">GetStartDecayLifetime</a> ()</td></tr>
<tr class="separator:a469a68f360a8dd85bacc81acb115c960"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade8d1f0203a6d5f166531ccc095e4c4d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#ade8d1f0203a6d5f166531ccc095e4c4d">GetFinishDecayLifetime</a> ()</td></tr>
<tr class="separator:ade8d1f0203a6d5f166531ccc095e4c4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93401a37a17a7572ca4be1e96a468433"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a93401a37a17a7572ca4be1e96a468433">Tick</a> ()</td></tr>
<tr class="separator:a93401a37a17a7572ca4be1e96a468433"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bee39dc9efbb7434467e205b6a24f4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a9bee39dc9efbb7434467e205b6a24f4c">SetDecayState</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> newState)</td></tr>
<tr class="separator:a9bee39dc9efbb7434467e205b6a24f4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d962fdc5d5ad57c3858f9589f39ce12"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a5d962fdc5d5ad57c3858f9589f39ce12">EEInit</a> ()</td></tr>
<tr class="separator:a5d962fdc5d5ad57c3858f9589f39ce12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bb774336c2de954ebb77ff215958a05"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a2bb774336c2de954ebb77ff215958a05">InitZone</a> ()</td></tr>
<tr class="separator:a2bb774336c2de954ebb77ff215958a05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f854c4f8602e550ba20ea2e42709588"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a3f854c4f8602e550ba20ea2e42709588">InitZoneServer</a> ()</td></tr>
<tr class="separator:a3f854c4f8602e550ba20ea2e42709588"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6707c6b7d6cd6993434a3cea93105d07"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a6707c6b7d6cd6993434a3cea93105d07">SpawnItems</a> ()</td></tr>
<tr class="separator:a6707c6b7d6cd6993434a3cea93105d07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4625be5efaa67f9443d5602a8ed53d0"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#ac4625be5efaa67f9443d5602a8ed53d0">InitZoneClient</a> ()</td></tr>
<tr class="separator:ac4625be5efaa67f9443d5602a8ed53d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa03fad6c5bf8f7d7c77ec506d5e87bfd"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#aa03fad6c5bf8f7d7c77ec506d5e87bfd">OnParticleAllocation</a> (<a class="el" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a> pm, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a> &gt; particles)</td></tr>
<tr class="separator:aa03fad6c5bf8f7d7c77ec506d5e87bfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56c07463ce8092a1121abd9bf991d781"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a56c07463ce8092a1121abd9bf991d781">CreateTrigger</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> radius)</td></tr>
<tr class="separator:a56c07463ce8092a1121abd9bf991d781"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1575e8f73910fbbc379c616bc662aa9a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a1575e8f73910fbbc379c616bc662aa9a">PlayFX</a> ()</td></tr>
<tr class="separator:a1575e8f73910fbbc379c616bc662aa9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a926551bc0e096a2e101b65caf76a8e00"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a926551bc0e096a2e101b65caf76a8e00">PlayExplosionLight</a> ()</td></tr>
<tr class="separator:a926551bc0e096a2e101b65caf76a8e00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4800d2521f1bda6747b08bb4fe056296"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a4800d2521f1bda6747b08bb4fe056296">PlayFlareVFX</a> ()</td></tr>
<tr class="separator:a4800d2521f1bda6747b08bb4fe056296"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31d399f059260154b65f00a6c8293b7a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a31d399f059260154b65f00a6c8293b7a">EEDelete</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a31d399f059260154b65f00a6c8293b7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25cc8c93566ebc0de92736153a0396e7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a25cc8c93566ebc0de92736153a0396e7">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:a25cc8c93566ebc0de92736153a0396e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a85c07482f909181b8b91c5db83a4aa9a"><td class="memItemLeft" align="right" valign="top">protected ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a85c07482f909181b8b91c5db83a4aa9a">m_StartupTimer</a></td></tr>
<tr class="separator:a85c07482f909181b8b91c5db83a4aa9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade8208f5adeaf8301a111ddda2bca6ff"><td class="memItemLeft" align="right" valign="top">protected ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#ade8208f5adeaf8301a111ddda2bca6ff">m_FXTimer</a></td></tr>
<tr class="separator:ade8208f5adeaf8301a111ddda2bca6ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb948f79ee3ffb06f32ad5dfd8023de2"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../db/db6/class_flare_light.html">FlareLight</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#abb948f79ee3ffb06f32ad5dfd8023de2">m_FlareLight</a></td></tr>
<tr class="separator:abb948f79ee3ffb06f32ad5dfd8023de2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8ce8572c69e5d291ae0ef92f3b595ba"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#aba6c835c997750547f7cbc773bf32a7b">ShellLight</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#ad8ce8572c69e5d291ae0ef92f3b595ba">m_ShellLight</a></td></tr>
<tr class="separator:ad8ce8572c69e5d291ae0ef92f3b595ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7841e63ee55433477f50b1618353b7cf"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a7841e63ee55433477f50b1618353b7cf">m_OffsetPos</a></td></tr>
<tr class="separator:a7841e63ee55433477f50b1618353b7cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad70113c9bbd0383155c7912ed3fe7ec5"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#ad70113c9bbd0383155c7912ed3fe7ec5">m_DecayState</a> = eAreaDecayStage.INIT</td></tr>
<tr class="separator:ad70113c9bbd0383155c7912ed3fe7ec5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5a761930f573b6d9858b901ce19c236"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#aa5a761930f573b6d9858b901ce19c236">AIRBORNE_EXPLOSION_DELAY</a> = 20</td></tr>
<tr class="separator:aa5a761930f573b6d9858b901ce19c236"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a993ceb71cb619cc5266107e0219b5c27"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a993ceb71cb619cc5266107e0219b5c27">AREA_SETUP_DELAY</a> = 10</td></tr>
<tr class="separator:a993ceb71cb619cc5266107e0219b5c27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dd26a70b2b8c64bc09e2accd4727214"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a5dd26a70b2b8c64bc09e2accd4727214">AIRBORNE_FX_OFFSET</a> = 50</td></tr>
<tr class="separator:a5dd26a70b2b8c64bc09e2accd4727214"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24da7b3895d6c61c636b38d19667bdc4"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a24da7b3895d6c61c636b38d19667bdc4">ARTILLERY_SHELL_SPEED</a> = 100</td></tr>
<tr class="separator:a24da7b3895d6c61c636b38d19667bdc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a461c9a10cb0d6d164d4d72b03b0aa96b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a461c9a10cb0d6d164d4d72b03b0aa96b">DECAY_START_PART_SIZE</a> = 32</td></tr>
<tr class="separator:a461c9a10cb0d6d164d4d72b03b0aa96b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22f52227b00e9b9cb114f88ffea8f41"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#ae22f52227b00e9b9cb114f88ffea8f41">DECAY_START_PART_BIRTH_RATE</a> = 1</td></tr>
<tr class="separator:ae22f52227b00e9b9cb114f88ffea8f41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c812a5260a219e7d225b6babafbf95f"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a5c812a5260a219e7d225b6babafbf95f">DECAY_END_PART_SIZE</a> = 17</td></tr>
<tr class="separator:a5c812a5260a219e7d225b6babafbf95f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a113d75583e5020cedf4a91453858e792"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a113d75583e5020cedf4a91453858e792">DECAY_END_PART_BIRTH_RATE</a> = 1</td></tr>
<tr class="separator:a113d75583e5020cedf4a91453858e792"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9090d7037a49e25011e8137e437d87be"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a9090d7037a49e25011e8137e437d87be">START_DECAY_LIFETIME</a> = 900</td></tr>
<tr class="separator:a9090d7037a49e25011e8137e437d87be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a304a14041bddf9ef60ff6ce0c4031457"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a304a14041bddf9ef60ff6ce0c4031457">FINISH_DECAY_LIFETIME</a> = 300</td></tr>
<tr class="separator:a304a14041bddf9ef60ff6ce0c4031457"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ff0c0698009e26777f3674e45b23914"><td class="memItemLeft" align="right" valign="top">const ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a7ff0c0698009e26777f3674e45b23914">SPAWN_ITEM_TYPE</a> = {&quot;Grenade_ChemGas&quot;}</td></tr>
<tr class="separator:a7ff0c0698009e26777f3674e45b23914"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9838077fbd2d31fd747baebe61f12128"><td class="memItemLeft" align="right" valign="top">const ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a9838077fbd2d31fd747baebe61f12128">SPAWN_ITEM_COUNT</a> = {<a class="el" href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">Math.RandomIntInclusive</a>(2,5)}</td></tr>
<tr class="separator:a9838077fbd2d31fd747baebe61f12128"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae096d6f582c6f4897a619661d836d79e"><td class="memItemLeft" align="right" valign="top">const ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#ae096d6f582c6f4897a619661d836d79e">SPAWN_ITEM_RAD_MIN</a> = {5}</td></tr>
<tr class="separator:ae096d6f582c6f4897a619661d836d79e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f84d0f4ddb3e7bafdc7d45c4063c797"><td class="memItemLeft" align="right" valign="top">const ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html#a0f84d0f4ddb3e7bafdc7d45c4063c797">SPAWN_ITEM_RAD_MAX</a> = {15}</td></tr>
<tr class="separator:a0f84d0f4ddb3e7bafdc7d45c4063c797"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00031">31</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a55d9084ec2690b949939d1b5454193ac" name="a55d9084ec2690b949939d1b5454193ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55d9084ec2690b949939d1b5454193ac">&#9670;&#160;</a></span>ContaminatedArea_Dynamic()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ContaminatedArea_Dynamic::ContaminatedArea_Dynamic </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00061">61</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a56c07463ce8092a1121abd9bf991d781" name="a56c07463ce8092a1121abd9bf991d781"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56c07463ce8092a1121abd9bf991d781">&#9670;&#160;</a></span>CreateTrigger()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ContaminatedArea_Dynamic::CreateTrigger </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>radius</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00289">289</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a31d399f059260154b65f00a6c8293b7a" name="a31d399f059260154b65f00a6c8293b7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31d399f059260154b65f00a6c8293b7a">&#9670;&#160;</a></span>EEDelete()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ContaminatedArea_Dynamic::EEDelete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00341">341</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a5d962fdc5d5ad57c3858f9589f39ce12" name="a5d962fdc5d5ad57c3858f9589f39ce12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d962fdc5d5ad57c3858f9589f39ce12">&#9670;&#160;</a></span>EEInit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ContaminatedArea_Dynamic::EEInit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00170">170</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="aeb60d3a66a64cc9f93af0db895519dbb" name="aeb60d3a66a64cc9f93af0db895519dbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb60d3a66a64cc9f93af0db895519dbb">&#9670;&#160;</a></span>EEOnCECreate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ContaminatedArea_Dynamic::EEOnCECreate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00066">66</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="ade8d1f0203a6d5f166531ccc095e4c4d" name="ade8d1f0203a6d5f166531ccc095e4c4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade8d1f0203a6d5f166531ccc095e4c4d">&#9670;&#160;</a></span>GetFinishDecayLifetime()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ContaminatedArea_Dynamic::GetFinishDecayLifetime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00135">135</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a779a99db1ea5cab476c577f16a7fccdd" name="a779a99db1ea5cab476c577f16a7fccdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a779a99db1ea5cab476c577f16a7fccdd">&#9670;&#160;</a></span>GetRemainingTime()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ContaminatedArea_Dynamic::GetRemainingTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00125">125</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a469a68f360a8dd85bacc81acb115c960" name="a469a68f360a8dd85bacc81acb115c960"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a469a68f360a8dd85bacc81acb115c960">&#9670;&#160;</a></span>GetStartDecayLifetime()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ContaminatedArea_Dynamic::GetStartDecayLifetime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00130">130</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a2bb774336c2de954ebb77ff215958a05" name="a2bb774336c2de954ebb77ff215958a05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bb774336c2de954ebb77ff215958a05">&#9670;&#160;</a></span>InitZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ContaminatedArea_Dynamic::InitZone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00216">216</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="ac4625be5efaa67f9443d5602a8ed53d0" name="ac4625be5efaa67f9443d5602a8ed53d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4625be5efaa67f9443d5602a8ed53d0">&#9670;&#160;</a></span>InitZoneClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ContaminatedArea_Dynamic::InitZoneClient </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00256">256</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a3f854c4f8602e550ba20ea2e42709588" name="a3f854c4f8602e550ba20ea2e42709588"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f854c4f8602e550ba20ea2e42709588">&#9670;&#160;</a></span>InitZoneServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ContaminatedArea_Dynamic::InitZoneServer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00224">224</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="aa03fad6c5bf8f7d7c77ec506d5e87bfd" name="aa03fad6c5bf8f7d7c77ec506d5e87bfd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa03fad6c5bf8f7d7c77ec506d5e87bfd">&#9670;&#160;</a></span>OnParticleAllocation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ContaminatedArea_Dynamic::OnParticleAllocation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>&#160;</td>
          <td class="paramname"><em>pm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../de/d38/class_particle_source.html">ParticleSource</a> &gt;&#160;</td>
          <td class="paramname"><em>particles</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00267">267</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a25cc8c93566ebc0de92736153a0396e7" name="a25cc8c93566ebc0de92736153a0396e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25cc8c93566ebc0de92736153a0396e7">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ContaminatedArea_Dynamic::OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00346">346</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a926551bc0e096a2e101b65caf76a8e00" name="a926551bc0e096a2e101b65caf76a8e00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a926551bc0e096a2e101b65caf76a8e00">&#9670;&#160;</a></span>PlayExplosionLight()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ContaminatedArea_Dynamic::PlayExplosionLight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00324">324</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a4800d2521f1bda6747b08bb4fe056296" name="a4800d2521f1bda6747b08bb4fe056296"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4800d2521f1bda6747b08bb4fe056296">&#9670;&#160;</a></span>PlayFlareVFX()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ContaminatedArea_Dynamic::PlayFlareVFX </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00329">329</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a1575e8f73910fbbc379c616bc662aa9a" name="a1575e8f73910fbbc379c616bc662aa9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1575e8f73910fbbc379c616bc662aa9a">&#9670;&#160;</a></span>PlayFX()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ContaminatedArea_Dynamic::PlayFX </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00302">302</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a9bee39dc9efbb7434467e205b6a24f4c" name="a9bee39dc9efbb7434467e205b6a24f4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bee39dc9efbb7434467e205b6a24f4c">&#9670;&#160;</a></span>SetDecayState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ContaminatedArea_Dynamic::SetDecayState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>newState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00156">156</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a6707c6b7d6cd6993434a3cea93105d07" name="a6707c6b7d6cd6993434a3cea93105d07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6707c6b7d6cd6993434a3cea93105d07">&#9670;&#160;</a></span>SpawnItems()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ContaminatedArea_Dynamic::SpawnItems </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00234">234</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a93401a37a17a7572ca4be1e96a468433" name="a93401a37a17a7572ca4be1e96a468433"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93401a37a17a7572ca4be1e96a468433">&#9670;&#160;</a></span>Tick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ContaminatedArea_Dynamic::Tick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00140">140</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aa5a761930f573b6d9858b901ce19c236" name="aa5a761930f573b6d9858b901ce19c236"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5a761930f573b6d9858b901ce19c236">&#9670;&#160;</a></span>AIRBORNE_EXPLOSION_DELAY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ContaminatedArea_Dynamic::AIRBORNE_EXPLOSION_DELAY = 20</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00041">41</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a5dd26a70b2b8c64bc09e2accd4727214" name="a5dd26a70b2b8c64bc09e2accd4727214"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dd26a70b2b8c64bc09e2accd4727214">&#9670;&#160;</a></span>AIRBORNE_FX_OFFSET</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ContaminatedArea_Dynamic::AIRBORNE_FX_OFFSET = 50</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00043">43</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a993ceb71cb619cc5266107e0219b5c27" name="a993ceb71cb619cc5266107e0219b5c27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a993ceb71cb619cc5266107e0219b5c27">&#9670;&#160;</a></span>AREA_SETUP_DELAY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ContaminatedArea_Dynamic::AREA_SETUP_DELAY = 10</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00042">42</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a24da7b3895d6c61c636b38d19667bdc4" name="a24da7b3895d6c61c636b38d19667bdc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24da7b3895d6c61c636b38d19667bdc4">&#9670;&#160;</a></span>ARTILLERY_SHELL_SPEED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ContaminatedArea_Dynamic::ARTILLERY_SHELL_SPEED = 100</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00044">44</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a113d75583e5020cedf4a91453858e792" name="a113d75583e5020cedf4a91453858e792"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a113d75583e5020cedf4a91453858e792">&#9670;&#160;</a></span>DECAY_END_PART_BIRTH_RATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ContaminatedArea_Dynamic::DECAY_END_PART_BIRTH_RATE = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00050">50</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a5c812a5260a219e7d225b6babafbf95f" name="a5c812a5260a219e7d225b6babafbf95f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c812a5260a219e7d225b6babafbf95f">&#9670;&#160;</a></span>DECAY_END_PART_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ContaminatedArea_Dynamic::DECAY_END_PART_SIZE = 17</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00049">49</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="ae22f52227b00e9b9cb114f88ffea8f41" name="ae22f52227b00e9b9cb114f88ffea8f41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae22f52227b00e9b9cb114f88ffea8f41">&#9670;&#160;</a></span>DECAY_START_PART_BIRTH_RATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ContaminatedArea_Dynamic::DECAY_START_PART_BIRTH_RATE = 1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00048">48</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a461c9a10cb0d6d164d4d72b03b0aa96b" name="a461c9a10cb0d6d164d4d72b03b0aa96b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a461c9a10cb0d6d164d4d72b03b0aa96b">&#9670;&#160;</a></span>DECAY_START_PART_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ContaminatedArea_Dynamic::DECAY_START_PART_SIZE = 32</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00047">47</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a304a14041bddf9ef60ff6ce0c4031457" name="a304a14041bddf9ef60ff6ce0c4031457"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a304a14041bddf9ef60ff6ce0c4031457">&#9670;&#160;</a></span>FINISH_DECAY_LIFETIME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ContaminatedArea_Dynamic::FINISH_DECAY_LIFETIME = 300</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00052">52</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="ad70113c9bbd0383155c7912ed3fe7ec5" name="ad70113c9bbd0383155c7912ed3fe7ec5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad70113c9bbd0383155c7912ed3fe7ec5">&#9670;&#160;</a></span>m_DecayState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ContaminatedArea_Dynamic::m_DecayState = eAreaDecayStage.INIT</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00038">38</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="abb948f79ee3ffb06f32ad5dfd8023de2" name="abb948f79ee3ffb06f32ad5dfd8023de2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb948f79ee3ffb06f32ad5dfd8023de2">&#9670;&#160;</a></span>m_FlareLight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../db/db6/class_flare_light.html">FlareLight</a> ContaminatedArea_Dynamic::m_FlareLight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00035">35</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="ade8208f5adeaf8301a111ddda2bca6ff" name="ade8208f5adeaf8301a111ddda2bca6ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade8208f5adeaf8301a111ddda2bca6ff">&#9670;&#160;</a></span>m_FXTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref Timer ContaminatedArea_Dynamic::m_FXTimer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00034">34</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a7841e63ee55433477f50b1618353b7cf" name="a7841e63ee55433477f50b1618353b7cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7841e63ee55433477f50b1618353b7cf">&#9670;&#160;</a></span>m_OffsetPos</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> ContaminatedArea_Dynamic::m_OffsetPos</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00037">37</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="ad8ce8572c69e5d291ae0ef92f3b595ba" name="ad8ce8572c69e5d291ae0ef92f3b595ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8ce8572c69e5d291ae0ef92f3b595ba">&#9670;&#160;</a></span>m_ShellLight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#aba6c835c997750547f7cbc773bf32a7b">ShellLight</a> ContaminatedArea_Dynamic::m_ShellLight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00036">36</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a85c07482f909181b8b91c5db83a4aa9a" name="a85c07482f909181b8b91c5db83a4aa9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85c07482f909181b8b91c5db83a4aa9a">&#9670;&#160;</a></span>m_StartupTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref Timer ContaminatedArea_Dynamic::m_StartupTimer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00033">33</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a9838077fbd2d31fd747baebe61f12128" name="a9838077fbd2d31fd747baebe61f12128"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9838077fbd2d31fd747baebe61f12128">&#9670;&#160;</a></span>SPAWN_ITEM_COUNT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt; ContaminatedArea_Dynamic::SPAWN_ITEM_COUNT = {<a class="el" href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">Math.RandomIntInclusive</a>(2,5)}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00056">56</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a0f84d0f4ddb3e7bafdc7d45c4063c797" name="a0f84d0f4ddb3e7bafdc7d45c4063c797"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f84d0f4ddb3e7bafdc7d45c4063c797">&#9670;&#160;</a></span>SPAWN_ITEM_RAD_MAX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt; ContaminatedArea_Dynamic::SPAWN_ITEM_RAD_MAX = {15}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00058">58</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="ae096d6f582c6f4897a619661d836d79e" name="ae096d6f582c6f4897a619661d836d79e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae096d6f582c6f4897a619661d836d79e">&#9670;&#160;</a></span>SPAWN_ITEM_RAD_MIN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d4/dc3/classfloat.html">float</a>&gt; ContaminatedArea_Dynamic::SPAWN_ITEM_RAD_MIN = {5}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00057">57</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a7ff0c0698009e26777f3674e45b23914" name="a7ff0c0698009e26777f3674e45b23914"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ff0c0698009e26777f3674e45b23914">&#9670;&#160;</a></span>SPAWN_ITEM_TYPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; ContaminatedArea_Dynamic::SPAWN_ITEM_TYPE = {&quot;Grenade_ChemGas&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00055">55</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<a id="a9090d7037a49e25011e8137e437d87be" name="a9090d7037a49e25011e8137e437d87be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9090d7037a49e25011e8137e437d87be">&#9670;&#160;</a></span>START_DECAY_LIFETIME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> ContaminatedArea_Dynamic::START_DECAY_LIFETIME = 900</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00051">51</a> of file <a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/ContaminatedArea/<a class="el" href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html">ContaminatedArea_Dynamic.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/db0/class_contaminated_area___dynamic.html">ContaminatedArea_Dynamic</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
